Bug 1333480 - Eclipse won't start a fresh workspace
Summary: Eclipse won't start a fresh workspace
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-nls
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mat Booth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1357271 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-05 15:24 UTC by Pedro Lamarão
Modified: 2018-02-19 18:00 UTC (History)
14 users (show)

Fixed In Version: eclipse-nls-4.5.0.v20151128060001-3.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-22 18:24:25 UTC


Attachments (Terms of Use)
Log file generated in the .metadata directory (15.58 KB, text/plain)
2016-05-05 15:24 UTC, Pedro Lamarão
no flags Details
Standalone CDT Debugger in the same conditions (7.53 KB, text/plain)
2016-05-05 15:47 UTC, Pedro Lamarão
no flags Details
List of eclipse packages installed by "Fedora Eclipse" group (8.69 KB, text/plain)
2016-05-05 15:55 UTC, Pedro Lamarão
no flags Details
A list of files in /usr/lib64/eclipse as requested in comment #10 (321.25 KB, text/plain)
2016-05-09 16:14 UTC, Christian Stadelmann
no flags Details
stdout of `eclipse -clean -debug -consoleLog` from new user account (18.66 KB, text/plain)
2016-07-03 18:23 UTC, Christian Stadelmann
no flags Details
stdout of `eclipse -clean -debug -consoleLog` from new user account after removing eclipse-cdt (14.32 KB, text/plain)
2016-07-04 18:19 UTC, Christian Stadelmann
no flags Details
stdout of `eclipse -clean -debug -consoleLog` from new user account after removing eclipse-nls (startup working fine) (18.21 KB, text/plain)
2016-07-04 18:34 UTC, Christian Stadelmann
no flags Details
Warnings from eclipse-nls-de unused localization messages (12.47 KB, text/plain)
2016-07-04 21:00 UTC, Christian Stadelmann
no flags Details
eclipse.log failure after installing fixed packages (213.49 KB, text/plain)
2016-07-23 18:39 UTC, Alex Villacís Lasso
no flags Details
Eclipse log after installing eclipse-nls-es and trying to start (521.17 KB, text/plain)
2018-02-19 18:00 UTC, Alex Villacís Lasso
no flags Details

Description Pedro Lamarão 2016-05-05 15:24:28 UTC
Created attachment 1154254 [details]
Log file generated in the .metadata directory

Description of problem:

 Eclipse won't start a fresh workspace.

Version-Release number of selected component (if applicable):

 eclipse-pde-4.6.0-0.5.git201604261105.fc24.x86_64
 eclipse-jdt-4.6.0-0.5.git201604261105.fc24.noarch

How reproducible:

 Every time Eclipse is opened.

Steps to Reproduce:

 1. Open Eclipse from GNOME Shell
 2. Select an empty location -- to create a new workspace

Actual results:

 Eclipse shows the splash screen then fails to start.

Expected results:

 Eclipse shows splash screen then shows de IDE window.

Additional info:

 The workspace location is generated with the .metadata directory
 containing a .log file. This file is attached to the bug.

Comment 1 Mat Booth 2016-05-05 15:34:23 UTC
Can you try moving your ~/.eclipse directory out of the way?

$ mv ~/.eclipse ~/.eclipse.backup

If you use third-party plug-ins, you may have to reinstall them.

Comment 2 Pedro Lamarão 2016-05-05 15:47:32 UTC
Created attachment 1154269 [details]
Standalone CDT Debugger in the same conditions

Comment 3 Pedro Lamarão 2016-05-05 15:55:06 UTC
Created attachment 1154283 [details]
List of eclipse packages installed by "Fedora Eclipse" group

In this installation there are no additional plugins, only those from @fedora and @updates-testing.

Comment 4 Pedro Lamarão 2016-05-05 16:15:17 UTC
If I do this:

 rm -rf ~/.eclipse ~/workspace
 eclipse -data ~/workspace

then I get the same result.
Eclipse shows the splash screen then terminates with a failure dialog box saying a log file was generated.

If I insist:

 eclipse -data ~/workspace
 eclipse -data ~/workspace2

nothing changes.

Experimenting some more, if I do this:

 rm -rf ~/.eclipse ~/workspace
 eclipse -data ~/workspace
 eclipse -clean -data ~/workspace

then at last I get Eclipse to start with everything apparently normal.

From this point onwards I can do:

 eclipse -data ~/workspace
 eclipse -data ~/workspace2

with no problems.

Comment 5 Alexander Kurtakov 2016-05-05 17:16:09 UTC
Would you please give the output of `rpm -qa |grep webkit`?

Comment 6 Pedro Lamarão 2016-05-05 18:47:40 UTC
[pedro.lamarao@rj-ws-pedro-20160503 ~]$ rpm -qa |grep webkit
webkitgtk4-jsc-2.12.2-2.fc24.x86_64
webkitgtk4-2.12.2-2.fc24.x86_64
webkitgtk3-2.4.11-1.fc24.x86_64

Comment 7 Christian Stadelmann 2016-05-06 16:25:16 UTC
Same issue here, i.e: I can't start eclipse, it just shows an error message dialog to look for logs in [workspace]/.metadata/.log . This log file has the same entries as the one posted above (first one).

$ mv ~/.eclipse ~/eclipse-old
$ eclipse -clean -data /tmp/testworkspace

doesn't work on the first run. Running

$ eclipse -clean -data /tmp/testworkspace

again finally brings up an eclipse window.

$ rpm -qa | grep webkit
qt5-qtwebkit-debuginfo-5.6.0-4.fc24.x86_64
webkitgtk4-2.12.2-2.fc24.x86_64
qtwebkit-debuginfo-2.3.4-11.fc24.x86_64
webkitgtk4-jsc-devel-2.12.2-2.fc24.x86_64
webkitgtk3-2.4.11-1.fc24.x86_64
webkitgtk-2.4.11-1.fc24.x86_64
qt5-qtwebkit-5.6.0-4.fc24.x86_64
webkitgtk3-debuginfo-2.4.11-1.fc24.x86_64
webkitgtk4-plugin-process-gtk2-2.12.2-2.fc24.x86_64
webkitgtk3-doc-2.4.11-1.fc24.noarch
webkitgtk4-debuginfo-2.12.2-2.fc24.x86_64
kdelibs-webkit-4.14.19-3.fc24.x86_64
webkitgtk3-devel-2.4.11-1.fc24.x86_64
webkitgtk4-devel-2.12.2-2.fc24.x86_64
webkitgtk4-doc-2.12.2-2.fc24.noarch
qtwebkit-2.3.4-11.fc24.x86_64
webkitgtk4-jsc-2.12.2-2.fc24.x86_64

Comment 8 Alexander Kurtakov 2016-05-09 11:55:58 UTC
So the crash happens only when creating new workspace or only on the first run after the update?

Comment 9 Christian Stadelmann 2016-05-09 15:11:03 UTC
(In reply to Alexander Kurtakov from comment #8)
> So the crash happens only when creating new workspace or only on the first
> run after the update?
No, this crash does not seem to be related to the workspace in any way. It is only related to `~/.eclipse`.

Steps to reproduce:
1. run
$ mv ~/.eclipse ~/eclipse-old
2. run 
$ eclipse -clean -data /tmp/test-workspace
3. run
$ eclipse -clean -data /tmp/test-workspace
or
$ eclipse -clean -data /path/to/previously/used/workspace

What happens:
after 2., eclipse always reliably crashes when starting with same (or similiar) logs as attached above.
after 3., eclipse starts without crashes.

Is this reproducer good enough?

Comment 10 Mat Booth 2016-05-09 16:05:56 UTC
(In reply to Christian Stadelmann from comment #9)
> (In reply to Alexander Kurtakov from comment #8)
> > So the crash happens only when creating new workspace or only on the first
> > run after the update?
> No, this crash does not seem to be related to the workspace in any way. It
> is only related to `~/.eclipse`.
> 
> Steps to reproduce:
> 1. run
> $ mv ~/.eclipse ~/eclipse-old
> 2. run 
> $ eclipse -clean -data /tmp/test-workspace
> 3. run
> $ eclipse -clean -data /tmp/test-workspace
> or
> $ eclipse -clean -data /path/to/previously/used/workspace
> 
> What happens:
> after 2., eclipse always reliably crashes when starting with same (or
> similiar) logs as attached above.
> after 3., eclipse starts without crashes.
> 
> Is this reproducer good enough?

This does not reproduce the crash me :-(

I'd like to see if there's anything unusual about your installation... Can you run this and share the results?

find /usr/lib64/eclipse | sort > eclipse_files

Comment 11 Christian Stadelmann 2016-05-09 16:14:43 UTC
Created attachment 1155398 [details]
A list of files in /usr/lib64/eclipse as requested in comment #10

Additionally, I'm running eclipse inside a gnome+wayland session, but starting with `GDK_BACKEND=x11` triggers the same crash.

Comment 12 Alexander Kurtakov 2016-05-10 06:32:46 UTC
(In reply to Christian Stadelmann from comment #11)
> Created attachment 1155398 [details]
> A list of files in /usr/lib64/eclipse as requested in comment #10
> 
> Additionally, I'm running eclipse inside a gnome+wayland session, but
> starting with `GDK_BACKEND=x11` triggers the same crash.

Can you reproduce it on gnome+X11 ? Just curious.

Comment 13 Christian Stadelmann 2016-05-11 21:19:33 UTC
Same issue (In reply to Alexander Kurtakov from comment #12)
> Can you reproduce it on gnome+X11 ? Just curious.

Same issue on a Gnome+X11 session.

Comment 14 Mat Booth 2016-05-12 07:47:28 UTC
I added a new build to the update, I would appreciate you trying with Eclipse version:

eclipse-4.6.0-0.6.git201605092000

When it arrives in updates-testing to see if that fixes the problem. (This also has other late-arriving important fixes, such as unbreaking the Help system.)

Comment 15 Christian Stadelmann 2016-05-15 15:11:14 UTC
Issue still present with eclipse-swt-4.6.0-0.6.git201605092000.fc24.x86_64. Same steps to reproduce as in comment #9.

Comment 16 Mat Booth 2016-05-18 11:07:28 UTC
Hmm, I wonder if there is something environmental affecting it...

Can you please try to reproduce with a different user? (Create a new user on you workstation, log in with that user, try to reproduce.)

Or try on a different workstation (or a VM)?

Comment 17 Alex Villacís Lasso 2016-06-28 01:08:44 UTC
I am now hitting this too.

After reporting https://bugzilla.redhat.com/show_bug.cgi?id=1350300 I started checking which packages were involved. After removing a bunch of packages (removing PDT for PHP support and its dependencies in the process), I get a log almost identical to this bug. I will now test packages on updates-testing.

Comment 18 Alex Villacís Lasso 2016-06-28 01:23:44 UTC
The only updated packages were eclipse-gef and eclipse-pydev . Updating them had no effect on the bug.

Comment 19 Alex Villacís Lasso 2016-06-28 01:34:23 UTC
I managed to start Eclipse after doing the following:

cd $HOME
cp -r bak.eclipse.workspace/ eclipse.workspace
cp -r bak.eclipse .eclipse
eclipse -clean -data /home/alex/eclipse.workspace
/* crashes with dialog telling to examine log */
eclipse -clean -data /home/alex/eclipse.workspace
/* now does not crash */

I will now install the packages I removed previously to see what happens.

Comment 20 Christian Stadelmann 2016-07-02 14:06:19 UTC
(In reply to Mat Booth from comment #16)
> Hmm, I wonder if there is something environmental affecting it...
> 
> Can you please try to reproduce with a different user? (Create a new user on
> you workstation, log in with that user, try to reproduce.)

New user with fresh profile on same machine: Same issue, still crashes on start.

> Or try on a different workstation (or a VM)?

This is currently blocked for me due to bug #1351995. I'll try in a few days.

Comment 21 Alexander Kurtakov 2016-07-03 06:42:33 UTC
Christian, In you new profile:
1. Please remove .eclipse.
2. Attach here the output of "rpm -qa|grep eclipse"
3. Start eclipse via "eclipse -clean -debug -consoleLog" and attach this output too.

Comment 22 Christian Stadelmann 2016-07-03 18:23:11 UTC
Created attachment 1175650 [details]
stdout of `eclipse -clean -debug -consoleLog` from new user account

(In reply to Alexander Kurtakov from comment #21)
> Christian, In you new profile:
> 1. Please remove .eclipse.
> 2. Attach here the output of "rpm -qa|grep eclipse"

eclipse-findbugs-contrib-6.6.1-1.fc24.noarch
devassistant-dap-eclipse-0.10.0dev-10.fc24.noarch
eclipse-pde-4.6.0-0.6.git201605092000.fc24.x86_64
eclipse-linuxtools-5.0.0-2.fc24.noarch
eclipse-valgrind-5.0.0-2.fc24.noarch
eclipse-e4-importer-0.2.0-0.2.gitb33919c.fc24.noarch
eclipse-checkstyle-6.11.1-2.fc24.noarch
eclipse-jgit-4.4.0-4.fc24.noarch
eclipse-changelog-5.0.0-2.fc24.noarch
eclipse-mpc-1.4.2-1.fc24.noarch
eclipse-rse-3.7.1-0.1.git671d63b.fc24.noarch
eclipse-jdt-4.6.0-0.6.git201605092000.fc24.noarch
eclipse-egit-4.4.0-1.fc24.noarch
eclipse-egit-github-4.4.0-1.fc24.noarch
eclipse-launchbar-2.0.0-0.1.git1f95c6c.fc24.noarch
eclipse-mylyn-3.19.0-3.fc24.noarch
eclipse-nls-de-4.5.0.v20150804081228-3.fc24.noarch
eclipse-debuginfo-4.6.0-0.6.git201605092000.fc24.x86_64
eclipse-emf-core-2.12.0-0.1.git2021583.fc24.x86_64
eclipse-remote-2.1.0-1.fc24.noarch
eclipse-nls-4.5.0.v20150804081228-3.fc24.noarch
eclipse-pydev-5.1.2-1.fc24.x86_64
eclipse-mylyn-docs-wikitext-3.19.0-3.fc24.noarch
eclipse-platform-4.6.0-0.6.git201605092000.fc24.x86_64
eclipse-swt-4.6.0-0.6.git201605092000.fc24.x86_64
eclipse-findbugs-3.0.1-5.fc24.noarch
eclipse-cdt-9.0.0-1.fc24.x86_64
eclipse-ecf-core-3.13.1-1.fc24.x86_64
eclipse-p2-discovery-4.6.0-0.6.git201605092000.fc24.noarch
eclipse-filesystem-1.0-7.fc24.x86_64
eclipse-tm-terminal-4.1.0-1.fc24.noarch
eclipse-equinox-osgi-4.6.0-0.6.git201605092000.fc24.x86_64

> 3. Start eclipse via "eclipse -clean -debug -consoleLog" and attach this
> output too.

Comment 23 Alexander Kurtakov 2016-07-04 05:12:39 UTC
Ok, looks like one of the plugins brings down everything. Would you please uninstall eclipse-cdt rpm, clean your ~/.eclipse and start again? If it doesn't work please attach the -clean -debug -consoleLog again.

Comment 24 Christian Stadelmann 2016-07-04 18:19:13 UTC
Created attachment 1176161 [details]
stdout of `eclipse -clean -debug -consoleLog` from new user account after removing eclipse-cdt

After removing eclipse-cdt ¹ this issue is still present.

¹ removing eclipse-cdt results in removing these packages:
eclipse-changelog
eclipse-launchbar
eclipse-linuxtools
eclipse-rlemote
eclipse-rse
eclipse-tm-terminal
eclipse-valgrind
freemarker
gcc-c++
libstdc++-devel
swt-chart

Comment 25 Alexander Kurtakov 2016-07-04 18:30:27 UTC
Next try - please remove eclipse-nls-de and repeat the procedure. We should find which one is the offending plugin.

Comment 26 Christian Stadelmann 2016-07-04 18:34:39 UTC
Created attachment 1176163 [details]
stdout of `eclipse -clean -debug -consoleLog` from new user account after removing eclipse-nls (startup working fine)

After removing some "bisecting" removing+installing packages, I found that eclipse-nls triggers this issue. After removing eclipse-nls, this issue is gone.

So for anyone running into this, I suggest removing eclipse-nls as a workaround.

Comment 27 Christian Stadelmann 2016-07-04 21:00:56 UTC
Created attachment 1176200 [details]
Warnings from eclipse-nls-de unused localization messages

it's the eclipse-nls-de package that is to blame. Having just eclipse-nls without eclipse-nls-de installed doesn't crash. Having both eclipse-nls and -nls-de installed crashes.

The -nls-de package seems quite broken anyway. Many translations are so wrong that I (native German speaker) can't understand them.

The crash happens even with LC_ALL=C added to the environment.

Additionally, there are many warnings about unused messages in -nls-de (see attached file)

Comment 28 Fedora Update System 2016-07-11 20:56:50 UTC
eclipse-dltk-5.5.0-2.fc24 eclipse-gef-3.11.0-1.fc24 eclipse-mpc-1.5.0-2.fc24 eclipse-nls-4.5.0.v20151128060001-2.fc24 eclipse-pdt-4.0.0-1.fc24 eclipse-webtools-3.8.0-1.fc24 eclipse-xsd-2.12.0-1.fc24 lucene-5.5.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 29 Fedora Update System 2016-07-11 20:57:17 UTC
eclipse-dltk-5.5.0-2.fc24 eclipse-gef-3.11.0-1.fc24 eclipse-mpc-1.5.0-2.fc24 eclipse-nls-4.5.0.v20151128060001-2.fc24 eclipse-pdt-4.0.0-1.fc24 eclipse-webtools-3.8.0-1.fc24 eclipse-xsd-2.12.0-1.fc24 lucene-5.5.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 30 Fedora Update System 2016-07-13 01:25:11 UTC
eclipse-dltk-5.5.0-2.fc24, eclipse-gef-3.11.0-1.fc24, eclipse-mpc-1.5.0-2.fc24, eclipse-nls-4.5.0.v20151128060001-2.fc24, eclipse-pdt-4.0.0-1.fc24, eclipse-webtools-3.8.0-1.fc24, eclipse-xsd-2.12.0-1.fc24, lucene-5.5.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 31 Fedora Update System 2016-07-14 14:27:33 UTC
eclipse-dltk-5.5.0-2.fc24 eclipse-gef-3.11.0-1.fc24 eclipse-mpc-1.5.0-2.fc24 eclipse-nls-4.5.0.v20151128060001-2.fc24 eclipse-pdt-4.0.0-1.fc24 eclipse-webtools-3.8.0-1.fc24 eclipse-xsd-2.12.0-1.fc24 lucene-5.5.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 32 Fedora Update System 2016-07-15 11:54:38 UTC
eclipse-dltk-5.5.0-3.fc24, eclipse-gef-3.11.0-1.fc24, eclipse-mpc-1.5.0-2.fc24, eclipse-nls-4.5.0.v20151128060001-3.fc24, eclipse-pdt-4.0.0-2.fc24, eclipse-webtools-3.8.0-1.fc24, eclipse-xsd-2.12.0-1.fc24, lucene-5.5.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-e382dece0e

Comment 33 Mat Booth 2016-07-18 14:48:21 UTC
*** Bug 1357271 has been marked as a duplicate of this bug. ***

Comment 34 Fedora Update System 2016-07-22 18:24:12 UTC
eclipse-dltk-5.5.0-3.fc24, eclipse-gef-3.11.0-1.fc24, eclipse-mpc-1.5.0-2.fc24, eclipse-nls-4.5.0.v20151128060001-3.fc24, eclipse-pdt-4.0.0-2.fc24, eclipse-webtools-3.8.0-1.fc24, eclipse-xsd-2.12.0-1.fc24, lucene-5.5.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Alex Villacís Lasso 2016-07-23 18:38:24 UTC
Bug is NOT completely fixed for me.

Eclipse still fails to load properly for me, if I install eclipse-nls-4.5.0.v20151128060001-3.fc24.noarch and eclipse-nls-es-4.5.0.v20151128060001-3.fc24.noarch after updating to the fixed packages.

Uninstalling eclipse-nls-es-4.5.0.v20151128060001-3.fc24.noarch works around the failure to load, but I then have no Spanish translations.

Comment 36 Alex Villacís Lasso 2016-07-23 18:39:22 UTC
Created attachment 1183145 [details]
eclipse.log failure after installing fixed packages

Comment 37 Alex Villacís Lasso 2018-02-19 18:00:38 UTC
Created attachment 1397972 [details]
Eclipse log after installing eclipse-nls-es and trying to start

This is still happening to me in Fedora 27.


Note You need to log in before you can comment on or make changes to this bug.